RECLAC Python
==============

The RECLAC Python package provides functions to compute **recurrence lacunarity** as described in [[braun2021] (Open Source)](https://link.springer.com/article/10.1007/s11071-021-06457-5#article-info). Its functionality is very basic at the current stage and will probably be extended in the near future. It also offers a basic implementation for the computation of recurrence plots and the box-counting dimension.


<img src="https://github.com/ToBraun/RECLAC/blob/main/icon.png" alt="drawing" width="750"/>

Getting started
===============

Install from [PyPi](https://pypi.org/project/RECLAC/) by simply typing

`pip install RECLAC` 

in your console.

Requirements
====

numpy >= 1.21\
scipy >= 1.2.1



Documentation
=============

I am currently working on a comprehensive documentation.


Citing and reference
====================
If you would like to use the provided tools in your research, please cite


> Braun, T., Unni, V.R., Sujith, R.I. et al. Detection of dynamical regime transitions with lacunarity as a multiscale recurrence quantification measure. Nonlinear Dyn 104, 3955–3973 (2021). [https://doi.org/10.1007/s11071-021-06457-5](https://link.springer.com/article/10.1007/s11071-021-06457-5)




or as BiBTeX-entry:



>@article{braun2021detection,\
title={Detection of dynamical regime transitions with lacunarity as a multiscale recurrence quantification measure},\
author={Braun, Tobias and Unni, Vishnu R and Sujith, RI and Kurths, Juergen and Marwan, Norbert},\
journal={Nonlinear Dynamics},\
pages={1--19},\
year={2021},\
publisher={Springer}\



Licence
=======
This is program is free software and runs under [MIT Licence](https://opensource.org/licenses/MIT).
